#version 450
#extension GL_ARB_separate_shader_objects : enable

layout(std140, binding = 0) uniform Transform
{
	mat4 viewProj;
	mat4 model;
} transform;

layout(location = 0) in vec3 vPos;

void main()
{
	gl_Position = transform.viewProj * transform.model * vec4(vPos, 1.0f);
}
